Bug 213516 - mock configs use arch agnostic repo urls
mock configs use arch agnostic repo urls
Status: CLOSED NEXTRELEASE
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 14:14 EST by Jesse Keating
Modified: 2013-01-09 23:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 15:16:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix mock config files to use arch specific repos or mirror lists (9.65 KB, patch)
2006-11-03 16:05 EST, Jesse Keating
no flags Details | Diff
patch for config file repo sections. (9.64 KB, patch)
2006-11-06 10:38 EST, Jesse Keating
no flags Details | Diff

  None (edit)
Description Jesse Keating 2006-11-01 14:14:43 EST
Mock configs use mirror list files that don't specify the arch, thus any yum
operation will use the arch of the local system, not the arch needed in the mock
buildroot.

Replace mirror urls with something like:
http://mirrors.fedoraproject.org/mirrorlist?repo=core-6&arch=i386

(works for core-6 or core-5 and rawhide)
core-6, core-5, updates-released-fc5, updates-released-fc6, updates-testing-fc5,
updates-testing-fc6, extras-6, extras-5 are valid repos.  Each config needs to
have arch specified in order to work properly.
Comment 1 Jesse Keating 2006-11-03 16:05:04 EST
Created attachment 140320 [details]
Patch to fix mock config files to use arch specific repos or mirror lists

Patch attached that is used for Extras package.
Comment 2 Jesse Keating 2006-11-03 17:45:40 EST
testing needinfo stuff, sorry for the noise.
Comment 3 Jesse Keating 2006-11-06 10:38:30 EST
Created attachment 140482 [details]
patch for config file repo sections.

Found a few typos in the original patch, here is a new one.
Comment 4 Clark Williams 2006-11-21 15:16:11 EST
Patch applied. Fix due in 0.6.9.

Note You need to log in before you can comment on or make changes to this bug.